from setuptools import setup, find_packages

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(
    name="jotts",
    version="0.5.3",
	license="MIT",
    author="Jonas Freiknecht",
    author_email="j.freiknecht@googlemail.com",
    description="JoTTS is a German text-to-speech engine.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/padmalcom/jotts",
    packages=find_packages(exclude=("tests", "requirements.txt",)),
	include_package_data=True,
	install_requires=[
		"appdirs==1.4.4",
		"audioread==2.1.9",
		"certifi==2021.10.8",
		"cffi==1.15.0",
		"charset-normalizer==2.0.7",
		"colorama==0.4.4",
		"decorator==5.1.0",
		"Deprecated==1.2.13",
		"idna==3.3",
		"inflect==5.3.0",
		"joblib==1.1.0",
		"librosa==0.8.1",
		"llvmlite==0.37.0",
		"loguru==0.5.3",
		"numba==0.54.1",
		"numpy==1.20.3",
		"packaging==21.3",
		"pooch==1.5.2",
		"pycparser==2.21",
		"PyGithub==1.55",
		"PyJWT==2.3.0",
		"PyNaCl==1.4.0",
		"pyparsing==3.0.6",
		"requests==2.26.0",
		"resampy==0.2.2",
		"scikit-learn==1.0.1",
		"scipy==1.7.2",
		"six==1.16.0",
		"sounddevice==0.4.3",
		"SoundFile==0.10.3.post1",
		"threadpoolctl==3.0.0",
		"torch==1.10.0",
		"tqdm==4.62.3",
		"typing_extensions==4.0.0",
		"Unidecode==1.3.2",
		"urllib3==1.26.7",
		"wrapt==1.13.3"
	],
    classifiers=[
        "Development Status :: 4 - Beta",
		"Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
		"Programming Language :: Python :: 3.6",
		"Programming Language :: Python :: 3.7",
		"Programming Language :: Python :: 3.8",
		"Programming Language :: Python :: 3.9",
		"Programming Language :: Python :: 3.10"
    ],
    python_requires='>=3.6',
)